第 5 章 配置 Makefile
上一页 |  | 下一页

## 第 5 章 配置 Makefile

配置 `Makefile` 是相当简单的， 我们在此建议您在开始之前看一下现有的例子。 在这份手册里也有一个 Makefile例子， 照着里面变量的顺序来写能使得您的 port 更容易地被其它人看懂。

现在， 当您开始编写您新的`Makefile` 的时候， 可以依次思考一下以下的问题：

## 5.1. 作者发布的代码

放在 `DISTDIR` 中的是不是标准的用 gzip 压缩的 tar 包， 例如 `foozolix-1.2.tar.gz`？ 如果是， 可以先略过这一节。 如果不是， 您应当看看是不是要覆盖这些变量： `DISTVERSION`、 `DISTNAME`、 `EXTRACT_CMD`、 `EXTRACT_BEFORE_ARGS`、 `EXTRACT_AFTER_ARGS`、 `EXTRACT_SUFX`， `DISTFILES`，取决于您 port 的 distfile 格式有多么怪异。 (最常见的一个例子便是 `EXTRACT_SUFX=.tar.Z`， 一般这是因为 tar 包是用 `compress` 而不是 `gzip` 压缩的时候。)

最糟的情况是， 您需要自己编写 `do-extract` 来覆盖默认的定义， 尽管这不常见， 但如果遇到了， 还是需要这么做。

上一页 |  | 下一页
4.6. 处理用户输入 | 起始页 | 5.2. 命名

本文档和其它文档可从这里下载： ftp://ftp.FreeBSD.org/pub/FreeBSD/doc/.

如果对于FreeBSD有问题，请先阅读 文档，如不能解决再联系 <questions@FreeBSD.org>.
关于本文档的问题请发信联系 <doc@FreeBSD.org>.